@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

$source-width: 200px;

.row-head {
  position: relative;
  width: $source-width;
  height: 50px;
  box-sizing: border-box;
  overflow: hidden;

  &.disabled {
    cursor: not-allowed;
  }

  &:hover {
    cursor: pointer;
  }

  .label {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    width: calc(#{$source-width} - 40px);
    padding-left: 20px;
    padding-right: 20px;
    line-height: 1.3em;

    * {
      overflow: hidden;
      text-rendering: optimizelegibility;
      user-select: none;
      white-space: nowrap;
      text-overflow: ellipsis;
    }
  }

  .subtitle {
    font-size: 11px;
  }

  .title {
    font-size: 14px;
  }

  .status {
    position: absolute;
    bottom: 0;
    height: 100%;
    width: 4px;
  }
}

@include themify("row-head", $themes) {
  font-family: themed("font-family");
  background-color: themed("panel-background");

  &.selected {
    background-color: themed("panel-background-selected");
  }

  &:hover {
    background-color: themed("panel-background-hovered");
  }

  .subtitle {
    color: themed("text-secondary");
  }

  .title {
    color: themed("text-primary");
  }

  .status {
    background-color: themed("text-secondary");

    &.status-focus {
      background-color: themed("status-focus");
    }

    &.status-active {
      background-color: themed("status-active");
    }

    &.status-danger {
      background-color: themed("status-danger");
    }

    &.status-busy {
      background-color: themed("status-busy");
    }
  }
}
